@charset "utf-8";
/********************
** 해더
********************/
header{top:0; border-bottom:1px solid #D9DADE;}
.menu{display:grid; grid-template-columns: repeat(8, 1fr);}
.searchModal{top:-500px;transition: top 0.4s ease;}
.searchbtn{background:none; }
#searchInput{background: none;  outline: none;}
#searchModalBtn{cursor: pointer;}

/********************
** 메인배너
********************/
.swiper-container {    width: 100%;     height: 600px; }
.swiper-wrapper {    display: flex;    align-items: center; }
.swiper-slide {    width: 70dvw;    height: 100%;     transition: transform 0.6s ease, opacity 0.6s ease;    transform: scale(0.96);}
.swiper-slide-active {    transform: scale(1); }
.swiper-slide img {    display: block;    width: 100%;    height: 100%;    object-fit: cover;    border-radius: 16px;}
.arrowBtn {    z-index:1;    position:absolute;    top: 50%;    transform: translateY( -50%)}
.left{left:0;}
.right{right:0;}
.mainSlide01{background:url('/img/flower/mainBanner01.jpg'); background-size:cover; background-position:bottom;}
.mainSlide02{background:url('/img/flower/mainBanner02.jpg'); background-size:cover; background-position:right;}
.mainSlide03{background:url('/img/flower/mainBanner03.jpg'); background-size:cover; background-position:right;}
.mainSlide04{background:url('/img/flower/mainBanner04.jpg'); background-size:cover; background-position:right;}


/********************
** 카테고리 메뉴
********************/
.category{display:grid; grid-template-columns: repeat(6, 1fr);}

.flowerProductBox{display:grid; grid-template-columns: repeat(4, 1fr);}

/********************
** 리스트페이지
********************/
.productList{display:grid; grid-template-columns: repeat(4 , 1fr); }
.productList > a{transition: all 0.3s;}
.productListImg{border:1px solid #EEEEF0;object-fit: cover;object-position: center;}
.productList > a:hover{box-shadow:0 0 8px #D9DADE}
.page > div,
.page > a {border:1px solid #D9DADE;transition: all 0.3s;border-radius:999px;color:#333;}
.page > div:hover,
.page > a:hover {border:1px solid #A0C556; background:#A0C556; color:#fff;}
.page > .is-active {border:1px solid #A0C556; background:#A0C556; color:#fff;}




/********************
** 뷰페이지
********************/

.viewImg { object-fit: cover; }
        
.detail-section { width: 100%; border-top: 2px solid #333; padding-top: 40px; text-align: center; }

.fixBtn {    bottom: 40px;     right: 60px;    z-index: 999;   opacity: 0;     visibility: hidden;     transition: all 0.3s ease-in-out; }
.fixBtn.show {    opacity: 1;     visibility: visible;}





/********************
** qa
********************/
.online{background:url('/img/flower/formBg.jpg'); background-size:cover;}
.qaImg{top:0; left:50%; transform: translate(-50%, -50%); }

/* --- 커스텀 라디오 버튼 (수정된 부분) --- */
.filedset input[type="radio"] {position: absolute;  left: -9999px; /* 화면 밖으로 숨김 */ }
.filedset label {border: 1px solid #D9DADE; background: #fefefe; cursor: pointer; transition: ease-in 0.3s; } 
.filedset input[type="radio"]:checked + label {background: #4d6823; border: 1px solid #4d6823; color: #fefefe; font-weight: 700; }
.hidden{display:none !important;}


.btnBox{display:grid; grid-template-columns:repeat(2, 1fr)}
.inputBox{ padding: 18px; border: 1px solid #D9DADE ;}
.inputBox:placeholder-shown{color: #91949f; line-height: 1em;}
.moreBtn{text-decoration: underline;}
.custom-checkbox{width: 20px; height: 20px; padding: 0; border: 1px solid #222; background-color: #fff; margin-right: 10px; transition: background-color 0.3s, border 0.3s; position: relative;}
.checkpolicy input[type="checkbox"] {display: none;}
.checkpolicy input[type="checkbox"]:checked + .custom-checkbox{background-color: #4d6823; border-color: #4d6823;}
.checkpolicy input[type="checkbox"]:checked + .custom-checkbox::after{content: ''; position: absolute; top: 2px; left: 5px; width: 5px; height: 8px; border: solid white; border-width: 0 3px 3px 0; transform: rotate(45deg);}

